# Uses of Class
org.springframework.aot.hint.ResourcePatternHint

Packages that use ResourcePatternHint
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ResourcePatternHint in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return types with arguments of type ResourcePatternHint
Modifier and Type
Method
Description
`List<ResourcePatternHint>`
ResourcePatternHints.`getExcludes()`
Return the exclude patterns to use to identify the resources to match.
`List<ResourcePatternHint>`
ResourcePatternHints.`getIncludes()`
Return the include patterns to use to identify the resources to match.